#ifndef IRREMOTEEXT_H
#define IRREMOTEEXT_H

typedef void (*__ir_handler_type)(unsigned long);

extern void beginIRremote(int pin);

extern void addPressHandlerIRremote(unsigned long code, __ir_handler_type func);
extern void addReleaseHandlerIRremote(unsigned long code, __ir_handler_type func);

extern void handelIRremote();
extern unsigned long getPressedIRremote();
extern bool isReleasedIRremote(unsigned long code);


#define IR_CODE_FWD	2121984806
#define IR_CODE_BKD	2609737435
#define IR_CODE_LEFT 3022003825
#define IR_CODE_RIGHT 3247434050
#define IR_CODE_OK 2062196258
#define IR_CODE_BACK 3168044585
#define IR_CODE_1 849199015
#define IR_CODE_2	3817107239
#define IR_CODE_3	177947158
#define IR_CODE_4	1626658716
#define IR_CODE_5	2220115984
#define IR_CODE_6	2789261539
#define IR_CODE_7	3411513514
#define IR_CODE_8	1300277964
#define IR_CODE_9	3447288873


#endif
